Firebase cloud messaging plugin and SafariViewController plugin conflict

Firebase cloud messaging plugin and SafariViewController plugin conflict

  

Hi,

I have added two plugins : Firebase cloud messaging plugin and SafariViewController plugin.

Safari view controller plugin url is below:

https://github.com/MoemenMostafa/cordova-plugin-safariviewcontroller.git


If I am adding both the plugin at same time then it is showing me the below error. It is working fine if both the plugin in not in same app.

It is not generating the app for Android while IOS is working fine.

Try to read this and see from there how can you fix it

https://github.com/EddyVerbruggen/cordova-plugin-safariviewcontroller/issues/84#issuecomment-374657858

Edit:sorry I read more,I do not think it fix the issue as outsystem's cordova cannot be update
It seemed to be a known issue

Oliver Ong Chor Yew wrote:

Try to read this and see from there how can you fix it

https://github.com/EddyVerbruggen/cordova-plugin-safariviewcontroller/issues/84#issuecomment-374657858

Edit:sorry I read more,I do not think it fix the issue as outsystem's cordova cannot be update
It seemed to be a known issue

Hi Oliver,

I already tried with this link but still it is not fixed.



Edit the extensibility configuration to this,I modified the push.gradle to force java 1.7 in this git

{
    "plugin": {
        "url": "https://github.com/OliverOng1995/outsystems-phonegap-plugin-push.git"
    }
}

Dear Oliver,

I tried it with above configuration but it is giving me the same error.

Regards,


The issue is resolved i fix the plugin. <> operator is fixed.